> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cleartalk.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get phone numbers available for insertion into cleartalk

> This endpoint fetches phone numbers from both cleartalk and Twilio APIs, compares them, and returns phone numbers that are in Twilio but not in cleartalk.



## OpenAPI

````yaml get /cleartalk/insert-number-in-cleartalk
openapi: 3.0.0
info:
  title: ClearTalk API
  description: The ClearTalk API Documentation
  version: '1.0'
  contact:
    name: Developer Support
    email: devsupport@cleartalk.ai
servers:
  - url: https://api.cleartalk.ai
    description: ClearTalk AI API Server
security: []
tags: []
paths:
  /cleartalk/insert-number-in-cleartalk:
    get:
      tags:
        - cleartalk
      summary: Get phone numbers available for insertion into cleartalk
      description: >-
        This endpoint fetches phone numbers from both cleartalk and Twilio APIs,
        compares them, and returns phone numbers that are in Twilio but not in
        cleartalk.
      operationId: cleartalkController_insertNumberIncleartalk
      parameters: []
      responses:
        '200':
          description: Phone numbers available for insertion retrieved successfully
          content:
            application/json:
              schema:
                example:
                  data:
                    - phone_number: '+19162496951'
                    - phone_number: '+19162496952'
                  recordsTotal: 2
                  recordsFiltered: 2
        '400':
          description: Bad request due to missing Twilio credentials
        '500':
          description: Internal server error due to API issues
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: API Key for authentication

````